//
//  SENTUserActivity.h
//  SENTSDK
//
//  Created by David Chelidze on 19/03/2019.
//  Copyright © 2019 Sentiance. All rights reserved.
//

@import Foundation;
@import CoreLocation.CLLocation;
#import "SENTPublicDefinitions.h"

typedef NS_ENUM(NSUInteger, SENTUserActivityType) {
    SENTUserActivityTypeTRIP = 1,
    SENTUserActivityTypeSTATIONARY = 2,
    SENTUserActivityTypeUNKNOWN = 3
};

@interface SENTTripInfo : NSObject
@property(assign) SENTTripType type;
@end

@interface SENTStationaryInfo : NSObject
@property(strong, nonatomic) CLLocation *location;
@end

@interface SENTUserActivity : NSObject
@property(assign) SENTUserActivityType type;
@property(strong, nonatomic) SENTTripInfo *tripInfo;
@property(strong, nonatomic) SENTStationaryInfo *stationaryInfo;
@end
